## mingw-w64-python-colour-science-0.4.6-1.src.tar.zst

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --no-hashes --all-extras --no-dev
accessible-pygments==0.0.5
alabaster==1.0.0
babel==2.16.0
beautifulsoup4==4.12.3
biblib-simple==0.1.2
certifi==2024.8.30
charset-normalizer==3.4.0
colorama==0.4.6 ; sys_platform == 'win32' or platform_system == 'Windows'
contourpy==1.3.0
cycler==0.12.1
docutils==0.21.2
fonttools==4.54.1
idna==3.10
imageio==2.35.1
imagesize==1.4.1
jinja2==3.1.4
kiwisolver==1.4.7
latexcodec==3.0.0
markupsafe==3.0.1
matplotlib==3.9.2
networkx==3.4
numpy==2.1.2
opencolorio==2.4.0
packaging==24.1
pandas==2.2.3
pillow==10.4.0
pybtex==0.24.0
pybtex-docutils==1.0.3
pydata-sphinx-theme==0.15.4
pydot==3.0.2
pygments==2.18.0
pyparsing==3.1.4
python-dateutil==2.9.0.post0
pytz==2024.2
pyyaml==6.0.2
requests==2.32.3
restructuredtext-lint==1.4.0
scipy==1.14.1
setuptools==75.1.0 ; python_full_version >= '3.12'
six==1.16.0
snowballstemmer==2.2.0
soupsieve==2.6
sphinx==8.1.0
sphinxcontrib-applehelp==2.0.0
sphinxcontrib-bibtex==2.6.3
sphinxcontrib-devhelp==2.0.0
sphinxcontrib-htmlhelp==2.1.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==2.0.0
sphinxcontrib-serializinghtml==2.0.0
tomli==2.0.2 ; python_full_version < '3.11'
tqdm==4.66.5
trimesh==4.4.9
typing-extensions==4.12.2
tzdata==2024.2
urllib3==2.2.3
xxhash==3.5.0

=== PKGBUILD ===
# Contributor: Brien Dieterle <briend@gmail.com>
# Contributor: Miloš Komarčević <miloskomarcevic@aim.com>

_realname=colour-science
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.4.6
pkgrel=1
pkgdesc="Python library for a multitude of colour science applications (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64')
url='https://www.colour-science.org'
msys2_repository_url='https://github.com/colour-science/colour'
msys2_references=(
  'aur: python-colour-science'
  'pypi: colour-science'
)
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-imageio"
         "${MINGW_PACKAGE_PREFIX}-python-numpy"
         "${MINGW_PACKAGE_PREFIX}-python-scipy"
         "${MINGW_PACKAGE_PREFIX}-python-typing_extensions")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-hatchling")
optdepends=("${MINGW_PACKAGE_PREFIX}-python-matplotlib"
            "${MINGW_PACKAGE_PREFIX}-python-networkx"
            "${MINGW_PACKAGE_PREFIX}-python-pandas"
            "${MINGW_PACKAGE_PREFIX}-python-tqdm"
            "${MINGW_PACKAGE_PREFIX}-python-trimesh")
conflicts=("${MINGW_PACKAGE_PREFIX}-python-${_realname//-science/}")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname/-/_}-${pkgver}.tar.gz")
sha256sums=('be98c2c9b2a5caf0c443431f402599ca9e1cc7d944bb804156803bcc97af4cf0')

build() {
  cp -r "${_realname/-/_}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
